---
title: Blob()
slug: Web/API/Blob/Blob
tags:
  - API
  - Blob
  - Constructor
  - File API
  - Reference
---
<div>{{APIRef("File API")}}</div>

<p><span class="seoSummary">The <code><strong>Blob()</strong></code> constructor returns a new {{domxref("Blob")}} object. The content of the blob consists of the concatenation of the values given in the parameter <code>array</code>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>newBlob</var> = new Blob(<var>array</var>, <var>options</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>array</var></code></dt>
 <dd>An {{jsxref("Array")}} of {{jsxref("ArrayBuffer")}}, {{domxref("ArrayBufferView")}}, {{domxref("Blob")}}, {{domxref("USVString")}} objects, or a mix of any of such objects, that will be put inside the {{domxref("Blob")}}. <code>USVString</code> objects are encoded as UTF-8.</dd>
 <dt><code><var>options</var></code> {{optional_inline}}</dt>
 <dd>
 <p>An optional object of type {{domxref("BlobPropertyBag")}} which may specify any of the following properties:</p>

 <dl>
  <dt><code>type</code> {{optional_inline}}</dt>
  <dd>The {{Glossary("MIME type")}} of the data that will be stored into the blob. The default value is the empty string, (<code>""</code>).</dd>
  <dt><code>endings</code> {{optional_inline}} {{non-standard_inline}}</dt>
  <dd>How to interpret newline characters (<code>\n</code>) within the contents, if the data is text. The default value, <code>transparent</code>, copies newline characters into the blob without changing them. To convert newlines to the host system's native convention, specify the value <code>native</code>.</dd>
 </dl>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("Blob")}} object containing the specified data.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js  language-js">var aFileParts = ['&lt;a id="a"&gt;&lt;b id="b"&gt;hey!&lt;/b&gt;&lt;/a&gt;']; // an array consisting of a single DOMString
var oMyBlob = new Blob(aFileParts, {type : 'text/html'}); // the blob</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('File API', '#constructorBlob', 'Blob()')}}</td>
   <td>{{Spec2('File API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Blob.Blob")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The deprecated {{domxref("BlobBuilder")}} interface which this constructor replaces.</li>
</ul>
